@extends('layouts.default')

@section('scripts')
    <script>

        //	NroDocto
        var jsonData = {};
		console.log(localStorage.getItem('Factura'));
        if (localStorage.getItem('Factura') != null)
		{
            jsonData        = JSON.parse(localStorage.getItem('Factura'));

            if (jsonData.FECHA == '' || jsonData.FECHA == null)
            {
               // Busca Fecha
               var FECHA = "{{{ date('d/m/Y') }}}";
               jsonData.FECHA = FECHA;
            }

            /* Si existe o no número de documento */
            var numero      = jsonData.NUMNOTA;
			if (numero == 0)
            {
                $('#NUMNOTA').attr('type', 'password');
			}
            else 
            {
                $('#NUMNOTA').attr('type', 'text'); 
			}
        }
		else 
		{		
            /* Despliega NroDoc en caso de ser modificación */
			var numero      = {{{ $Factura->NUMNOTA }}};

            /* Si existe o no número de documento */
			if (numero == 0)
            {
                $('#NUMNOTA').attr('type', 'password');
			}
            else 
            {
                $('#NUMNOTA').attr('type', 'text'); 
			}

            /* Id del documento */
            var id = $('#id').val();

            /* Validación de Fecha */
            if (jsonData.fecha == '' || jsonData.fecha == null)
            {
               // Busca Fecha
               var fecha = "{{{ date('d/m/Y') }}}";
               jsonData.fecha = fecha;
            }

            /* Llena arreglo Jeson de Memoria NroDocto*/
            jsonData.NUMREG       = {{{ $Factura->NUMREG }}};
            jsonData.NUMNOTA      = {{{ $Factura->NUMNOTA }}};
            jsonData.NRUTCLIE     = {{{ $Factura->NRUTCLIE }}};
            jsonData.NRUTFACT     = {{{ $Factura->NRUTFACT }}};
			jsonData.RUTFACT      = '{{{ $Factura->RUTFACT }}}';
            jsonData.RAZSOC       = '{{{ $Factura->RAZSOC }}}';
            jsonData.CODVEN       = '{{{ $Factura->CODVEND }}}';            
            jsonData.TOTNETO      = {{{ $Factura->TOTNETO }}};
            jsonData.TOTIVA       = {{{ $Factura->TOTIVA }}};
            jsonData.TOTAL        = {{{ $Factura->TOTAL }}};
            jsonData.FECHA        = '{{{ $Factura->FECHA }}}';
            jsonData.NUMORDC      = '{{{ $Factura->NUMORDC }}}';
            jsonData.DCTOPJE      = '{{{ $Factura->DCTOPJE }}}';
            jsonData.SUBNETO      = '{{{ $Factura->SUBNETO }}}';

            if(!jsonData.hasOwnProperty('PRODUCTO_VENTA')) {
               jsonData.PRODUCTO_VENTA = [];
            }

            /* Detalle de productos vendidos */
            @foreach($PRODUCTO_VENTA as $index => $df)
                jsonData.PRODUCTO_VENTA.push({
                    ID:         {{{ $df->ID }}},
                    NROLIN:     {{{ $df->NROLIN }}},
                    NREGUIST:   {{{ $df->NCODART }}},
                    CODIGO:     '{{{ $df->CODIGO }}}',
                    DESCRIP:    '{{{ $df->DESCRIP }}}',
                    CANTIDAD:   {{{ $df->CANTIDAD }}},
                    PRECUNIT:   {{{ $df->PRECUNIT }}},
                    DESCTO:     {{{ $df->DESCTO }}},
                    SUBTOTAL:   {{{ $df->SUBTOTAL }}}
                });
            @endforeach

            //Almacena nombre producto en localStorage
            localStorage.setItem('Factura', JSON.stringify(jsonData));
        }

        $(document).ready(function(){

            setup_select2('#NREGUIST_CLI', "{{ url('notasventas/select_clientes') }}", 'Seleccionar Clientes');

            $('#agregar_item').on('click', function() {
               agregar_item();
			   TotalesGenerales();
            });

            $('#agregar_item_documentos').on('click', function() {
               agregar_item_documentos();
            });

            $(document).on('click', '.eliminar',function(e) {
                var el = $(this).parents('tr').eq(0);
                eliminar_item($(this));
				TotalesGenerales();
            });

            $(document).on('click', '.eliminar_doc',function(e) {
                var el = $(this).parents('tr').eq(0);
                eliminar_item_doc($(this));
            });


		// 'PRODUCTO_VENTA'

	    console.log(jsonData);
        poblar_factura(jsonData);

            // Cuando cambia de Producto
//            $('#Rut').on('select2:select', function() {
            $(document).on('select2:select, select2:close', 'select[name*="NREGUIST_CLI"]', function() {

                var Rut1  = $(this).select2('data')[0].Rut;
                var NREGUIST_CLI = $(this).select2('data')[0].id;
                jsonData.NRUTCLIE     = NREGUIST_CLI;
                jsonData.NRUTFACT     = NREGUIST_CLI;
                localStorage.setItem('Factura', JSON.stringify(jsonData));

                // Busca en la lista de precios
                $.get('{{ url("notasventas/llama_clientes") }}?id='+NREGUIST_CLI, function(datos) {
                       var Rut     = datos[0].Rut;
                       var RAZSOC  = datos[0].RAZSOC;
                       var codven  = datos[0].CODVENDE;
                       /*
                       var DirCli  = datos[0].DirCli;
                       var ComCli  = datos[0].ComCli;
                       var ComCli  = datos[0].ComCli;
                       var TelCli  = datos[0].TelCli;
                       var GirCli  = datos[0].GirCli;
                       var CodCob  = datos[0].CodCob;
                       var CodVen  = datos[0].CodVen;
                       var CodVta  = datos[0].CodVta;
                       var CodCon  = datos[0].CodCon;
                       var CodLis  = datos[0].CodLis;

                       var SubNet  = datos[0].SubNet;
                       var PorDct  = datos[0].PorDct;
                       var Descto  = datos[0].Descto;

                       var neto    = datos[0].neto;
                       var iva     = datos[0].iva;
                       var total   = datos[0].total;
*/
                       $('#Rut1').val(Rut);
                       /*
                       $('#DirCli').val(DirCli);
                       $('#ComCli').val(ComCli);
                       $('#TelCli').val(TelCli);
                       $('#GirCli').val(GirCli);
                       $('#CodCob').val(CodCob);
                       $('#CodVen').val(CodVen);
                       $('#CodVta').val(CodVta);
                       $('#CodCon').val(CodCon);
                       $('#CodLis').val(CodLis);
                       $('#PorDct').val(PorDct);
                       $('#Descto').val(Descto);
*/
                       //Actualizamos variable jsonData

                       jsonData.NREGUIST_CLI = NREGUIST_CLI;
                       jsonData.RUTFACT      = Rut;
                       jsonData.RAZSOC       = RAZSOC;
                       jsonData.CODVEN       = codven;
                       $("#CODVEN").val(codven);
                       /*
                       jsonData.DirCli   = DirCli;
                       jsonData.ComCli   = ComCli;
                       jsonData.TelCli   = TelCli;
                       jsonData.GirCli   = GirCli;

                       jsonData.CodCob   = CodCob;	
                       jsonData.CodVen   = CodVen;
                       jsonData.CodVta   = CodVta;
                       jsonData.CodCon   = CodCon;
                       jsonData.CodLis   = CodLis;

                       jsonData.SubNet   = SubNet;
                       jsonData.PorDct   = PorDct;
                       jsonData.Descto   = Descto;

                       jsonData.neto     = neto;
                       jsonData.iva      = iva;
                       jsonData.total    = total;
                       */
                       //Almacena nombre producto en localStorage
                       localStorage.setItem('Factura', JSON.stringify(jsonData));

                       TotalesGenerales();
                });
            });

            // Cuando cambia de Producto
            $(document).on('select2:select', 'select[name*="PRODUCTO_VENTA"]', function() {

                var CodProID = $(this).select2('data')[0].id;
				var NOMPRO   = $(this).select2('data')[0].text;
				var nreguist = $(this).select2('data')[0].nreguist;

                /* Ve cual es el indice de la línea */
                var itemString   = $(this).attr("name");
                var id_mp        = itemString.replace("PRODUCTO_VENTA", "");

                $('input[name=PRECIOUNIT'+id_mp+']').val(0);
                $('input[name=CODIGO'+id_mp+']').val(CodProID);
                $('input[name=PRODUCTO_VENTA'+id_mp+']').val(nreguist);
                
                // Busca en la lista de precios
                $.get('{{ url("notasventas/listaDePrecios") }}?CodProID='+CodProID, function(datos) {	
                     var PRECIO   = datos[0].PreVen;

                     /* Actualiza Precio */
                     $('input[name=PRECIOUNIT'+id_mp+']').val(parseFloat(PRECIO));

                    jsonData.PRODUCTO_VENTA[id_mp].NREGUIST     = nreguist;
                    jsonData.PRODUCTO_VENTA[id_mp].CODIGO       = CodProID;
                    jsonData.PRODUCTO_VENTA[id_mp].DESCRIP      = NOMPRO;
                    jsonData.PRODUCTO_VENTA[id_mp].PRECUNIT     = PRECIO;

     			    //Almacena nombre producto en localStorage
                    localStorage.setItem('Factura', JSON.stringify(jsonData));

                    /* Actualiza Totales */
                    calculaSubTotalLinea(id_mp);
                }, 'json');
            });

            // Cuando cambia la cantidad
            $(document).on('change', 'input[name*="NUMORDC"]', function() {
			    /* Asigna valores */
                jsonData.NUMORDC = $(this).val();
                //Almacena nombre producto en localStorage
                localStorage.setItem('Factura', JSON.stringify(jsonData));
			
            });


            // Cuando cambia la cantidad
            $(document).on('change', 'input[name*="CANTIDAD"]', function() {
			    /* Ve cual es el indice de la línea */
                var campo = $(this).attr("name");
			
                var itemString    = $(this).attr("name");
                var id_mp         = itemString.replace("CANTIDAD", "");
                var codigo        = $("#CODIGO"+id_mp).val();
                var cantidad      = $(this).val();

				/* Valida stock */
                $.get("{{ url('notasventas/chequeaInventario') }}", {codigo: codigo, cantidad: cantidad}, function(response) {
                    if (response == 1)
                    {
                        $(this).val(0);
                        $("#CANTIDAD"+id_mp).val(0);
                        mensaje     = {'content' : 'No hay sufientes unidades en inventario para realizar la venta', "type" : "error", "timeout" : 5000};
                        notification(mensaje, "big");
                    }
                    else
                    {
                        /* Asigna valores */
                        jsonData.CANTIDAD = cantidad;
                        //Almacena nombre producto en localStorage
                        localStorage.setItem('Factura', JSON.stringify(jsonData));
                        calculaSubTotalLinea(id_mp);
                    }                    
                }, 'json')

            });

            // Cuando cambia el Precio Unitario
            $(document).on('change', 'input[name*="PRECIOUNIT"]', function() {
			    /* Ve cual es el indice de la línea */
                var campo = $(this).attr("name");
			
                var itemString   = $(this).attr("name");
                var id_mp        = itemString.replace("PRECIOUNIT", "");
			    /* Asigna valores */
                jsonData.PRECIOUNIT = $(this).val();
                //Almacena nombre producto en localStorage
                localStorage.setItem('Factura', JSON.stringify(jsonData));

                calculaSubTotalLinea(id_mp);
            });

            // Cuando cambia la Porcentaje de Descuento Línea
            $(document).on('change', 'input[name*="PORDES"]', function() {
			    /* Ve cual es el indice de la línea */
                var campo = $(this).attr("name");
			
                var itemString   = $(this).attr("name");
                var id_mp        = itemString.replace("PORDES", "");

			    /* Asigna valores */
                jsonData.PORDES  = parseInt($(this).val());
                //Almacena nombre producto en localStorage
                localStorage.setItem('Factura', JSON.stringify(jsonData));

                calculaSubTotalLinea(id_mp);
            });


			// Código Plazo
            $(document).on('change', '#CODVEN', function(e) {
                //Actualizamos variable jsonData
                jsonData.CODVEN = $(this).val();

			    //Almacena nombre producto en localStorage
                localStorage.setItem('Factura', JSON.stringify(jsonData));
            });

            /* fecha */
            $('#fecha').on('keyup', function() {
                //Actualizamos variable jsonData
                jsonData.fecha = $(this).val();
                //Almacena nombre producto en localStorage
                localStorage.setItem('Factura', JSON.stringify(jsonData));
            });

            /* PorDct */
            $('#DCTOPJE').on('keyup', function() {
                //Actualizamos variable jsonData
				var SubNet         = $('#SubNet').val();
				var Descuento      = SubNet - Math.round((SubNet * (1 - ($(this).val()) / 100)));
				$('#Descto').val(Descuento);

                jsonData.DCTOPJE   = $(this).val();
				jsonData.Descto    = Descuento;

                //Almacena nombre producto en localStorage
                localStorage.setItem('Factura', JSON.stringify(jsonData));
				TotalesGenerales();
            });

            /* Botón Guardar */
            $('#Guardar').on('click', function() 
            {
                /* Confirma Grabación */
                $.confirm({
                    title:"Confirmación de la grabación",
                    text: "<h1><b>¿Desea grabar el documento?</b></h1>",
                    modalOptionsBackdrop: 'static',
                    confirm: function() {
                        console.log(JSON.stringify(jsonData));
                        clean_form_errors($('#formulario'));

						/* Graba Registro */
                        $.post("{{ url('notasventas/agregar_Factura') }}", {data: JSON.stringify(jsonData)}, function(response) {
                            jsonData = {};
                            localStorage.removeItem('Factura');
                            success_notification(response);
                            window.location = "{{ url('notasventas/index') }}";
                        }, 'json').fail(function(response) {
                            if(response.status != 409) {
                                show_form_errors(response, $('#formulario'));
                                if($('#datos_formula').find('.has-error').length > 0) $('a[href="#datos_formula"]').tab('show');
                                else if($('#instrucciones_fabricacion').find('.has-error').length > 0) $('a[href="#instrucciones_fabricacion"]').tab('show');
                                else if($('#control_calidad').find('.has-error').length > 0) $('a[href="#control_calidad"]').tab('show');
                            } else {
                                error_notification(response);
                            }
                        });
                        return false;
                    },
                    cancel: function() {
                        return false;
                    },
                    confirmButton: "Deseo Grabar",
                    cancelButton: "No",
                    confirmButtonClass: 'btn-success',
                    cancelButtonClass: 'btn-danger'
                });
            });

            /* Botón Cancelar */
            $('#Cancelar').on('click', function() 
            {
                /* Confirma Cancelar */
                $.confirm({
                    title:"Confirmación de salir de la nota de ventas",
                    text: "<h1><b>¿Desea salir sin grabar la nota?</b></h1>",
                    modalOptionsBackdrop: 'static',
                    confirm: function() {
                        console.log(JSON.stringify(jsonData));
                        clean_form_errors($('#formulario'));

                        jsonData = {};
                        localStorage.removeItem('Factura');
                        window.location = "{{ url('notasventas/index') }}";

                        return false;
                    },
                    cancel: function() {
                        return false;
                    },
                    confirmButton: "Deseo Salir",
                    cancelButton: "No",
                    confirmButtonClass: 'btn-success',
                    cancelButtonClass: 'btn-danger'
                });
            });

        });

        //Retorna la cantidad de filas en tabla
        function cantidad_items(nom_item) {
            return $(nom_item).length
        }
        //Retorna el siguiente indice para la creacion de una nueva fila en la tabla
        function next_index(nom_item) {
            var cant = cantidad_items(nom_item);
            if(cant == 0) return 1;
            return $(nom_item).map(function(){return $(this).data('index');}).get().sort(function(a, b){return b-a})[0] + 1;
        }

        // Calcula Totales
        function TotalesGenerales() {
            var SubNeto        = 0;
            var TotalNeto      = 0;
            var TotalIva       = 0;
            var TotalBruto     = 0;
			var Descuento      = $('#DCTOPJE').val();

			if (Descuento === null || Descuento === undefined || Descuento === '')
            {
                Descuento      = 0;
            }
			 
            $('#TablaDetalle #contenido_formula .item-det-recepcion').each(function () {
                var Linea        = $(this).data('index');

                var cantidad     = $('#CANTIDAD'+Linea).val();
                var precio       = $('#PRECIOUNIT'+Linea).val();
                var desclin      = $('#PORDES'+Linea).val();
				var TotNet       = ((cantidad * precio) * (1 - (desclin / 100)))

                $('#TOTNET'+Linea).val(TotNet);

                SubNeto          = SubNeto   + parseInt(TotNet);
				var TotalDesc    = parseInt(SubNeto - ((SubNeto) * (1 - (Descuento / 100))));


                TotalNeto        = SubNeto   - parseInt(TotalDesc);
                TotalIva         = parseInt(((TotalNeto * 19) / 100)); 
                TotalBruto       = TotalNeto + TotalIva;

				jsonData.SUBNETO = SubNeto;
				jsonData.TOTNETO = TotalNeto;
				jsonData.TOTIVA  = TotalIva;
				jsonData.TOTAL   = TotalBruto;

                //Almacena nombre producto en localStorage
                localStorage.setItem('Factura', JSON.stringify(jsonData));

                /* Totales */				
                $('#SubNet').val(SubNeto);
                $('#neto').val(TotalNeto);
                $('#Descto').val(TotalDesc);
                $('#iva').val(TotalIva);
                $('#total').val(TotalBruto);
            });
        }7

        //pobla los campos desde jsonData en caso de que hayan datos guardados en localStorage
        function poblar_factura(data) {
		    if(!$.isEmptyObject(data)) {

                $('#NUMREG').val(data.NUMREG);
                $('#NUMNOTA').val(data.NUMNOTA);

                $('#NREGUIST_CLI').html('<option value="' + data.NREGUIST_CLI + '">' + data.RAZSOC + '</option>').trigger('change');
			    $('#Rut1').val(data.RUTFACT);

                if(data.hasOwnProperty('NUMORDC')) {
					$('#NUMORDC').val(data.NUMORDC);
                }
                if(data.hasOwnProperty('FECHA')) {
					$('#fecha').val(data.FECHA);
                }
                if(data.hasOwnProperty('SUBNETO')) {
                    $('#SubNet').val(data.SUBNETO);
                }
                if(data.hasOwnProperty('DCTOPJE')) {
					$('#DCTOPJE').val(data.DCTOPJE);
                }
                if(data.hasOwnProperty('TOTNETO')) {
                    $('#neto').val(data.TOTNETO);
                }
                if(data.hasOwnProperty('DCTOPJE') || data.hasOwnProperty('TOTNETO')) {
                    $('#Descto').val(data.SUBNETO - data.TOTNETO);
                }
                if(data.hasOwnProperty('TOTIVA')) {
                    $('#iva').val(data.TOTIVA);
                }
                if(data.hasOwnProperty('TOTAL')) {
                    $('#total').val(data.TOTAL);
                }
                if(data.hasOwnProperty('total')) {
                    $('#ID').val(data.ID);
                }
                /* Muestra Detalle de Productos vendidos */
                if(data.hasOwnProperty('PRODUCTO_VENTA') && data.PRODUCTO_VENTA.length > 0) {
                    data.PRODUCTO_VENTA.sort(function (a, b) {
                        return a.orden - b.orden;
                    });
                    $.each(data.PRODUCTO_VENTA, function(i, v) {
                        agregar_item_jsonData(i, v);
                    })
                }
            }
        }

        //Agrega una nueva fila en la tabla materias primas
        function agregar_item() {
            var order    = cantidad_items('.item-det-recepcion') + 1;
            var index    = cantidad_items('.item-det-recepcion');
            var id_item  = 'item-' + index;
            var template = '<tr id="Linea' + index + '" class="item-det-recepcion" data-index="' + index + '">'+
                    '<td><input  id="orden'          + index + '"             class="form-control" name="orden'          + index + '" value="' + order + '" readonly></td>'+
                    '<td><input  id="CODIGO'         + index + '" type="text" class="form-control" name="CODIGO'         + index + '" value="" DISABLED></td>' +
                    '<td><select id="PRODUCTO_VENTA' + index + '"             class="form-control" name="PRODUCTO_VENTA' + index + '"></select></td>'+
                    '<td><input  id="CANTIDAD'       + index + '" type="text" class="form-control" name="CANTIDAD'       + index + '" value="0"></td>' +
                    '<td><input  id="PRECIOUNIT'     + index + '" type="text" class="form-control" name="PRECIOUNIT'     + index + '" value="0"></td>' +
                    '<td><input  id="PORDES'         + index + '" type="text" class="form-control" name="PORDES'         + index + '" value="0"></td>' +
                    '<td><input  id="TOTNET'         + index + '" type="text" class="form-control" name="TOTNET'         + index + '" value="0" readonly></td>' +

                    '<td><button name="eliminar'     + index +'" class="btn btn-danger eliminar" type="button"><i class="fa fa-trash"></i></button>&nbsp;</td>'+
                    '</tr>';

            $('#sin-items').addClass('hide');
            $(template).appendTo('#contenido_formula');
            setup_select2('#PRODUCTO_VENTA' + index, "{{  url('notasventas/ProductosSelect') }}", 'Buscar Producto');

            //Actualizamos variable jsonData

            if(jsonData.hasOwnProperty('PRODUCTO_VENTA') == false) {
                jsonData.PRODUCTO_VENTA = [];
            }
            jsonData.PRODUCTO_VENTA.push({
                ID:         index,
                NROLIN:     order,
                CODIGO:     0,
                NOMPRO:     '',
                CANTIDAD:   0,
                PRECIOUNIT: 0,
                PORDES:     0,
                TOTNET:     0
            });

            localStorage.setItem('Factura', JSON.stringify(jsonData));
        }

        function agregar_item_jsonData(lin, item) {

            var CODIGO    = item.CODIGO;
            var NCODART1  = item.NCODART;
            var DESCRIP1  = item.DESCRIP;
            var ID        = lin;
            var NroLin    = lin+1;
            var Cantidad  = item.hasOwnProperty('CANTIDAD')?item.CANTIDAD:0;
            var PRECUNIT  = item.hasOwnProperty('PRECUNIT')?item.PRECUNIT:0;
            var PorDes    = item.hasOwnProperty('DESCTO')?item.DESCTO:0;
            var SUBTOTAL  = item.hasOwnProperty('SUBTOTAL')?item.SUBTOTAL:0;

            var template = '<tr id="Linea' + ID  + '" class="item-det-recepcion" data-index="' + ID + '">'+
                    '<td><input  id="orden'          + ID + '" type="text" class="form-control" name="orden'          + ID + '" value="' + NroLin   + '" readonly></td>' +
                    '<td><input  id="CODIGO'         + ID + '" type="text" class="form-control" name="CODIGO'         + ID + '" value="' + CODIGO   + '" disabled></td>' +
                    '<td><select id="PRODUCTO_VENTA' + ID + '"             class="form-control" name="PRODUCTO_VENTA' + ID + '"></select></td>'     +
                    '<td><input  id="CANTIDAD'       + ID + '" type="text" class="form-control" name="CANTIDAD'       + ID + '" value="' + Cantidad + '"></td>' +
                    '<td><input  id="PRECIOUNIT'     + ID + '" type="text" class="form-control" name="PRECIOUNIT'     + ID + '" value="' + PRECUNIT + '"></td>' +
                    '<td><input  id="PORDES'         + ID + '" type="text" class="form-control" name="PORDES'         + ID + '" value="' + PorDes   + '"></td>' +
                    '<td><input  id="TOTNET'         + ID + '" type="text" class="form-control" name="TOTNET'         + ID + '" value="' + SUBTOTAL + '" readonly></td>' +
                    '<td><button name="eliminar'     + ID + '" class="btn btn-danger eliminar" type="button"><i class="fa fa-trash"></i></button>&nbsp;</td>'+
                    '</tr>';

            $('#sin-items').addClass('hide');
            $(template).appendTo('#contenido_formula');

            setup_select2('#PRODUCTO_VENTA' + ID, "{{  url('notasventas/ProductosSelect') }}", 'Buscar Producto');

            $('#PRODUCTO_VENTA' + ID).html('<option value="' + NCODART1 + '">' + DESCRIP1 + '</option>').trigger('change');
        }

        // Retorna el SubTotal Linea
        function calculaSubTotalLinea(item) {

               var CODPROID = $('select[name=PRODUCTO_VENTA'+item+']').val();
               var NOMPRO   = $('input[name=NOMPRO'+item+']').val();
               var CANTIDAD = $('input[name=CANTIDAD'+item+']').val();
               var PRECIO   = $('input[name=PRECIOUNIT'+item+']').val();
               var PORDES   = $('input[name=PORDES'+item+']').val();

               var TOTNET   = (CANTIDAD * PRECIO) * ((100-PORDES) / 100);
               $('input[name=TOTNET'+item+']').val(parseFloat(TOTNET));

               /* Guarda en la memoria */
               jsonData.PRODUCTO_VENTA[item].ID         = item;
               jsonData.PRODUCTO_VENTA[item].NROLIN     = item;
               jsonData.PRODUCTO_VENTA[item].CODIGO     = CODPROID;
               jsonData.PRODUCTO_VENTA[item].NOMPRO     = NOMPRO;
               jsonData.PRODUCTO_VENTA[item].CANTIDAD   = CANTIDAD;
               jsonData.PRODUCTO_VENTA[item].PRECIOUNIT = PRECIO;
               jsonData.PRODUCTO_VENTA[item].PORDES     = PORDES;
               jsonData.PRODUCTO_VENTA[item].TOTNET     = TOTNET;

               //Almacena nombre producto en localStorage
               localStorage.setItem('Factura', JSON.stringify(jsonData));
			   console.log(localStorage.getItem('Factura'));

               TotalesGenerales();
        }

        //Elimina fila de la tabla
        function eliminar_item(el) {
            var cant_items   = cantidad_items('.item-det-recepcion') - 1;
            var id_mp        = $(el).parents('tr').eq(0).data('index');

            var index_arr_mp = jsonData.PRODUCTO_VENTA.map(function(d) {return d['id']}).indexOf(id_mp);
			var indice       = $('#orden' + id_mp).val();
			             
            jsonData.PRODUCTO_VENTA.splice(indice-1, 1);
            el.parents('tr').eq(0).remove();
            if(cant_items == 0) {
                $('#sin-items').removeClass('hide');
                delete jsonData.PRODUCTO_VENTA;
            }
			calcular_orden('.item-det-recepcion');
            localStorage.setItem('Factura', JSON.stringify(jsonData));
        }

        //Elimina fila de la tabla Documentos
        function eliminar_item_doc(el) {
            var cant_items   = cantidad_items('.item-det-referencias') - 1;
            var id_mp        = $(el).parents('tr').eq(0).data('index');

            var index_arr_mp = jsonData.DOCUMENTOS_REFERENCIA.map(function(d) {return d['id']}).indexOf(id_mp);
			var indice       = $('#LineaDoc' + id_mp).val();
			             
            jsonData.DOCUMENTOS_REFERENCIA.splice(indice-1, 1);
            el.parents('tr').eq(0).remove();
            if(cant_items == 0) {
                $('#sin-items-refe').removeClass('hide');
                delete jsonData.DOCUMENTOS_REFERENCIA;
            }
			calcular_orden('.item-det-referencias');
            localStorage.setItem('Factura', JSON.stringify(jsonData));
        }

        function calcular_orden(nom_item) {
            var orden = 1;
            $(nom_item).each(function(index, el) {
				var indice = $(el).attr('data-index');
				$('#orden'+indice).val(orden);
                orden = orden + 1;
            });
        }

		function sumaFecha(d, fecha)
        {
            var Fecha  = new Date();
            var sFecha = fecha || (Fecha.getDate() + "/" + (Fecha.getMonth() +1) + "/" + Fecha.getFullYear());
            var sep    = sFecha.indexOf('/') != -1 ? '/' : '-';
            var aFecha = sFecha.split(sep);
            var fecha  = aFecha[2]+'/'+aFecha[1]+'/'+aFecha[0];
            fecha      = new Date(fecha);
            fecha.setDate(fecha.getDate()+parseInt(d));
            var anno   = fecha.getFullYear();
            var mes    = fecha.getMonth()+1;
            var dia    = fecha.getDate();
            mes        = (mes < 10) ? ("0" + mes) : mes;
            dia        = (dia < 10) ? ("0" + dia) : dia;
            var fechaFinal = dia+sep+mes+sep+anno;
            return (fechaFinal);
        }

    </script>
@endsection
	
@section('content')
    <div class="col-sm-12 col-md-12 col-lg-12">
        <!-- product -->
        <div id="formulario" class="product-content product-wrap clearfix product-deatil">
            <div class="tab-content">
                <div role="tabpanel" class="tab-pane active" id="datos_factura">
                    <div class="row">
						 <div class="col-sm-12">
                              <div class="form-group col-xs-12 col-sm-6 col-md-4 col-lg-6">
                                   <label class="control-label col-sm-2 text-align-left" for="factura">Nº Nota</label>
                                   <div class='col-sm-6'>
                                        {{ Form::text('NUMNOTA', NULL, ['id' => 'NUMNOTA', 'class' => 'form-control', 'disabled' => true]) }}
                                   </div>
                              </div>
                              <div class="form-group col-xs-12 col-sm-6 col-md-4 col-lg-6">
                                   <div class='col-sm-6'>
                                        {{ Form::hidden('NUMREG', NULL, ['id' => 'NUMREG', 'class' => 'form-control']) }}
                                   </div>
                              </div>
                         </div>
                    </div>
                    <div class="row">
						 <div class="col-sm-12">
                              <div class="form-group col-xs-12 col-sm-6 col-md-4 col-lg-6">
                                   <label for="Nombre" class="control-label col-sm-2 text-align-left">Raz/Social</label>
								   <div class='col-sm-10' id='rut'>
                                        {{ Form::select('NREGUIST_CLI', [], 0, ['id' => 'NREGUIST_CLI', 'class' => 'form-control']) }}
								   </div>
                              </div>
                              <div class="form-group col-xs-12 col-sm-6 col-md-4 col-lg-3">
                                   <label for="rut" class="control-label col-sm-4 text-align-left" >Rut</label>
								   <div class='col-sm-8'>
                                        {{ Form::text('Rut1', NULL, ['id' => 'Rut1', 'class' => 'form-control', 'disabled' => true]) }}
								   </div>
                              </div>
                              <div class="form-group col-xs-12 col-sm-6 col-md-4 col-lg-3">
                                   <label for="Fecha" class="control-label col-sm-4 text-align-left">Fecha</label>
						           <div class='col-sm-8'>
                                        {{ Form::text('fecha', NULL, ['id' => 'fecha', 'class' => 'form-control', 'disabled' => true]) }}
                                   </div>
                              </div>
                         </div>
                    </div>

                    <div class="row">
                         <div class="col-sm-12">
                              <div class="form-group col-xs-12 col-sm-6 col-md-4 col-lg-6">
                                   <label for="vendedor" class="control-label col-sm-2 text-align-left">Vendedor</label>
							       <div class='col-sm-10'>
                                        {{ Form::select('CODVEN', $vendedores, 0, ['class' => 'form-control', 'id'=>'CODVEN']) }}
							       </div>
                              </div>
                              <div class="form-group col-xs-12 col-sm-6 col-md-8 col-lg-6">
                                   <label for="Nombre" class="control-label col-sm-2 text-align-left">O/C</label>
							       <div class='col-sm-8' id='rut'>
                                        {{ Form::text('NUMORDC', NULL, ['id' => 'NUMORDC', 'class' => 'form-control']) }}
							       </div>
                              </div>
                         </div>
                    </div>
                </div>
            </div>

            <br>

            <div class="row pull-left" style='border: 1px solid blue; border-radius: 10px; padding-top: 13px;'>
				<div class="col-sm-12">
                     <div class="form-group col-xs-12 col-sm-2 col-md-2 col-lg-2">
                          <label for="sn" class="control-label text-align-left">Sub NETO</label>
                     </div>
                     <div class="form-group col-xs-12 col-sm-2 col-md-2 col-lg-2">
                          {{ Form::text('SubNet', NULL, ['id' => 'SubNet', 'class' => 'form-control', 'disabled' => true]) }}
                     </div>
                     <div class="form-group col-xs-12 col-sm-2 col-md-2 col-lg-2">
                          <label for="PrDesc" class="control-label text-align-left">%Desc</label>
                     </div>
                     <div class="form-group col-xs-12 col-sm-2 col-md-2 col-lg-2">
                          {{ Form::number('DCTOPJE', NULL, ['id' => 'DCTOPJE', 'class' => 'form-control']) }}
                     </div>
                     <div class="form-group col-xs-12 col-sm-2 col-md-2 col-lg-2">
                          <label for="Des" class="control-label text-align-left">$Desc</label>
                     </div>
                     <div class="form-group col-xs-12 col-sm-2 col-md-2 col-lg-2">
                          {{ Form::text('Descto', NULL, ['id' => 'Descto', 'class' => 'form-control', 'disabled' => true]) }}
                     </div>
                </div>
				<div class="col-sm-12">
                     <div class="form-group col-xs-12 col-sm-2 col-md-2 col-lg-2">
                          <label for="Net" class="control-label text-align-left">Neto</label>
                     </div>
                     <div class="form-group col-xs-12 col-sm-2 col-md-2 col-lg-2">
                          {{ Form::number('neto', NULL, ['id' => 'neto', 'class' => 'form-control', 'disabled' => true]) }}
                     </div>
                     <div class="form-group col-xs-12 col-sm-2 col-md-2 col-lg-2">
                          <label for="iv" class="control-label text-align-left">Iva</label>
                     </div>
                     <div class="form-group col-xs-12 col-sm-2 col-md-2 col-lg-2">
                          {{ Form::number('iva', NULL, ['id' => 'iva', 'class' => 'form-control', 'disabled' => true]) }}
                     </div>
                     <div class="form-group col-xs-12 col-sm-2 col-md-2 col-lg-2">
                          <label for="tot" class="control-label text-align-left">Total</label>
                     </div>
                     <div class="form-group col-xs-12 col-sm-2 col-md-2 col-lg-2">
                          {{ Form::number('total', NULL, ['id' => 'total', 'class' => 'form-control', 'disabled' => true]) }}
                     </div>
                </div>
            </div>


            <div>
                 <div class="row">
                        <div class="col-sm-12">
                             <button id="agregar_item" class="btn btn-primary"><i class="fa fa-plus"></i> Agregar Producto</button>
                        </div>
                 </div>

                 <table id='TablaDetalle' class="table table-bordered">
                        <thead>
                            <tr>
                                <th class="col-sm-1">Orden</th>
                                <th class="col-sm-2">Código</th>
                                <th class="col-sm-4">Producto</th>
                                <th class="col-sm-1">Cantidad</th>
                                <th class="col-sm-1">Precio</th>
                                <th class="col-sm-1">Desc %</th>
                                <th class="col-sm-1">Total</th>
                                <th class="col-sm-1">Opciones</th>
                            </tr>
                        </thead>
                        <tbody id="contenido_formula">
                            @if(empty($agua))
                            <tr id="sin-items">
                                <td colspan="7" class="text-align-center">No hay registros</td>
                            </tr>
                            @else

                            @endif
                        </tbody>
                 </table>
            </div>
            <br>

            <div class="row pull-right">
                <div class="col-sm-12">
                    <form id="form_guardar">
                        <button type="button" id='Guardar' class="btn btn-success">Guardar</button>
                        <button type="button" id='Cancelar' class="btn btn-danger">Cancelar</button>
                    </form>
                </div>
            </div>
        </div>
        <!-- end product -->
    </div>

@endsection